/*
 * Photo Image Print System
 * Copyright (C) SEIKO EPSON CORPORATION 2003-2004.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON KOWA Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON KOWA PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON KOWA PUBLIC LICENCE.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __OPT_RSC__
#define __OPT_RSC__

#include "pipsDef.h"

/* Option Entry */
char *inkEntry[] = {
        "COLOR", "MONO",
        NULL
};

char *binEntry[] = {
        "AUTO", "T4AUTO",
        NULL
};

char *mediaSizeEntry[] = {
        "A4", "B5", "A5", "A6", "PC", "DPC", "L", "2L", "ENVC3",
        "ENVC4", "ENVY1", "ENVY2", "ENVY3", "ENVY4", "LT", "LGL",
         NULL
};

char *mediaSizeEntry_R[] = {
        NULL
};

char *mediaSizeEntry_TR[] = {
        NULL
};

char *mediaSizeEntry_NMA[] = {
        "A4", "PC", "L", "2L",
        NULL
};

char *resolutionEntry[] = {
        "180", "360", "720",
        NULL
};

char *mediaTypeEntry[] = {
        "PLAIN" ,  "RCPC", "ESF", "PMMATT", "IJPC", "ARCMATT", 
	"PSGLOS",  "PHOTOW",
         NULL
};

char *colorModeEntry[] = {
        "AUTO", "PHOTO", "GRAPH", "NONE",
        NULL
};

char *halftoneEntry[] = {
        "ED",
        NULL
};

char *levelEntry[] = {
        "DRAFT", "STD", "FINE", "SFINE", "PHOTO", "SPHOTO", "SILENT",
        NULL
};

char *multiPageEntry[] = {
        "1", "2", "4",
        NULL
};

char *autoCutEntry[] = {
        "NONE",
        NULL
};

/* pModeCol     :       ColorѰ⡼
   pModeMono    :       MonochromeѰ⡼

   MediaNumber  :       pipsDef.h 
   Input        :       1:180, 2:360, 4:720
   Halftone     :       <or> 1:ED 2:DB
   HighSpeed    :       0:OFF 1:ON 2:ON/OFF

   Quality 	: 	Added SILENTF (Ų) MODE 


*/
short pModeCol[] = {
        25,
        /* mediaName               Input         MicroWeave     Quality */
        /*  MediaNumber                  Halftone       HighSpeed       */
       /*PLAIN*/
	PIPS_MED_PLAIN,          1,     1,      0,      1,	0x000, 
	PIPS_MED_PLAIN,          2,     1,      0,      2,	0x010,
	PIPS_MED_PLAIN,          2,     1,      0,      2,	0x060,
	PIPS_MED_PLAIN,          6,     1,	1,	2,	0x220,
	PIPS_MED_PLAIN,          4,     1,      1,      2,	0x300,
	PIPS_MED_PLAIN,          4,     1,	1,	2,	0x400,	

	/* RECYCLEDPOSTCARD */
	PIPS_MED_RCPC,		2,	1,      1,      2,	0x010,
	PIPS_MED_RCPC, 		6,	1,      1,      2,	0x220,
	PIPS_MED_RCPC,		4,	1,      1,      2,	0x300,

	/* ESF */
	PIPS_MED_ESF,            6,     1,      1,      2,	0x220,      
	PIPS_MED_ESF,            6,     1,      1,      2,	0x330,
	PIPS_MED_ESF,            4,     1,      1,      2,	0x400,

	/* MATT_HEAVY */
	PIPS_MED_MATT_HEAVY,     6,     1,      1,      2,	0x220,  
	PIPS_MED_MATT_HEAVY,     6,     1,      1,      2,	0x330,
	PIPS_MED_MATT_HEAVY,     4,     1,      1,      2,    	0x400,

	/* IJPC  */
	PIPS_MED_IJPC,		 6,     1,      1,      2,	0x220,
	PIPS_MED_IJPC,		 6,     1,      1,      2,	0x330,
	PIPS_MED_IJPC,		 4,     1,      1,      2,	0x400,

	/* ARCHIVALMATTE  */
	PIPS_MED_ARCHIVALMATTE,  6,     1,      1,	2,	0x220,  
	PIPS_MED_ARCHIVALMATTE,  6,     1,      1,      2,	0x330,  
	PIPS_MED_ARCHIVALMATTE,  4,     1,      1, 	2,	0x400,

	/* PHOTOWEIGHT */
	PIPS_MED_PHOTOWEIGHT,    6,     1,      1,  	2,	0x330,
	PIPS_MED_PHOTOWEIGHT,    4,     1,      1,	2,	0x400,

	/* PSEMIGLOSS  */ 
	PIPS_MED_PSEMIGLOSS,     6,     1,      1,      2,	0x330,
	PIPS_MED_PSEMIGLOSS,     4,     1,      1,      2,	0x400,
};


short pModeMono[] = {
        25,
        /* mediaName               Input         MicroWeave     Quality */
        /*  MediaNumber                  Halftone       HighSpeed       */
        /*PLAIN*/
	PIPS_MED_PLAIN,          1,     1,      0,      1,	0x000, 
	PIPS_MED_PLAIN,          2,     1,      0,      2,	0x010,
	PIPS_MED_PLAIN,          2,     1,      0,      2,	0x060,
	PIPS_MED_PLAIN,          6,     1,	1,	2,	0x220,
	PIPS_MED_PLAIN,          4,     1,      1,      2,	0x300,
	PIPS_MED_PLAIN,          4,     1,	1,	2,	0x400,	

	/* RECYCLEDPOSTCARD */
	PIPS_MED_RCPC, 		 2, 	1,      1,      2,	0x010,
	PIPS_MED_RCPC, 		 6,	1,      1,      2,	0x220,
	PIPS_MED_RCPC, 		 4,	1,      1,      2,	0x300,

	/* ESF */
	PIPS_MED_ESF,            6,     1,      1,      2,	0x220,      
	PIPS_MED_ESF,            6,     1,      1,      2,	0x330,
	PIPS_MED_ESF,            4,     1,      1,      2,	0x400,

	/* MATT_HEAVY */
	PIPS_MED_MATT_HEAVY,     6,     1,      1,      2,	0x220,  
	PIPS_MED_MATT_HEAVY,     6,     1,      1,      2,	0x330,
	PIPS_MED_MATT_HEAVY,     4,     1,      1,      0,	0x400,

	/* IJPC  */
	PIPS_MED_IJPC, 		6,     1,       1,       2,	0x220,
	PIPS_MED_IJPC, 		6,     1,       1,       2,	0x330,
	PIPS_MED_IJPC, 		4,     1,       1,       0,	0x400,

	/* ARCHIVALMATTE  */
	PIPS_MED_ARCHIVALMATTE,  6,     1,      1,	2,	0x220,  
	PIPS_MED_ARCHIVALMATTE,  6,     1,      1,      2,	0x330,  
	PIPS_MED_ARCHIVALMATTE,  4,     1,      1, 	0,	0x400,

	/* PHOTOWEIGHT */
	PIPS_MED_PHOTOWEIGHT,    6,     1,      1,  	2,	0x330,
	PIPS_MED_PHOTOWEIGHT,    4,     1,      1,      2,	0x400,

	/* PSEMIGLOSS  */ 
	PIPS_MED_PSEMIGLOSS,     6,     1,      1,      2,	0x330,
	PIPS_MED_PSEMIGLOSS,     4,     1,      1,      2,	0x400,
};


/* Bin="T4AUTO" ̵ˤʤ⡼ID (color,black )*/
short de_param_mode_t4_for_pxv700[] = {
	0, -1
};

#endif

